cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/countries/country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.countries.get_settings_country(
"country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.countries.getSettingsCountry('country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->countries->getSettingsCountry('country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.countries.countries_dto.CountriesDto.SettingsCountry;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCountry> response = client.countries().getSettingsCountry(
"country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Countries.GetSettingsCountryAsync("country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.countries.getSettingsCountry(
'country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Countries().GetSettingsCountry(context.Background(), "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"country": {
"code": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"default_area_code": "<unknown>",
"default_city": "<string>",
"default_post_code": "<string>",
"default_state": "<string>",
"description": "<string>",
"display_name": "<string>",
"flag_exists": true,
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>"
}
}Countries
Retrieve a country
Returns one country by its country_ id, under country.
GET
/
settings
/
countries
/
{country_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/countries/country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.countries.get_settings_country(
"country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.countries.getSettingsCountry('country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->countries->getSettingsCountry('country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.countries.countries_dto.CountriesDto.SettingsCountry;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCountry> response = client.countries().getSettingsCountry(
"country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Countries.GetSettingsCountryAsync("country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.countries.getSettingsCountry(
'country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Countries().GetSettingsCountry(context.Background(), "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"country": {
"code": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"default_area_code": "<unknown>",
"default_city": "<string>",
"default_post_code": "<string>",
"default_state": "<string>",
"description": "<string>",
"display_name": "<string>",
"flag_exists": true,
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>"
}
}Reads the country with this
country_ id.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The country's country_ id, as the listing returns it.
Response
200 - application/json
The country, under country.
Show child attributes
Show child attributes